name: fixit_user
description: A new Flutter project.
# The following line prevents the package from being accidentally published to
# pub.dev using `flutter pub publish`. This is preferred for private packages.
publish_to: 'none' # Remove this line if you wish to publish to pub.dev

# The following defines the version and build number for your application.
# A version number is three numbers separated by dots, like 1.2.43
# followed by an optional build number separated by a +.
# Both the version and the builder number may be overridden in flutter
# build by specifying --build-name and --build-number, respectively.
# In Android, build-name is used as versionName while build-number used as versionCode.
# Read more about Android versioning at https://developer.android.com/studio/publish/versioning
# In iOS, build-name is used as CFBundleShortVersionString while build-number is used as CFBundleVersion.
# Read more about iOS versioning at
# https://developer.apple.com/library/archive/documentation/General/Reference/InfoPlistKeyReference/Articles/CoreFoundationKeys.html
# In Windows, build-name is used as the major, minor, and patch parts
# of the product and file versions while build-number is used as the build suffix.
version: 1.0.0+1

environment:
  sdk: '>=3.5.0 <4.0.0'

# Dependencies specify other packages that your package needs in order to work.
# To automatically upgrade your package dependencies to the latest versions
# consider running `flutter pub upgrade --major-versions`. Alternatively,
# dependencies can be manually updated by changing the version numbers below to
# the latest version available on pub.dev. To see which dependencies have newer
# versions available, run `flutter pub outdated`.
dependencies:
  flutter:
    sdk: flutter


  # The following adds the Cupertino Icons font to your application.
  # Use with the CupertinoIcons class for iOS style icons.
  cupertino_icons: ^1.0.2
  google_fonts: ^6.1.0
  provider: ^6.1.2
  shared_preferences: ^2.3.5
  circular_reveal_animation: ^2.0.1
  animate_do: ^3.3.4
  flutter_svg: ^2.0.10+1
  #marquee: ^2.2.3
  image: ^4.2.0

  figma_squircle: ^0.5.3
  pinput: ^5.0.0
  fluttertoast: ^8.2.12
  localization: ^2.1.1
  animated_bottom_navigation_bar: ^1.3.3
  carousel_slider: ^5.0.0
  dotted_line: ^3.2.3
  infinite_scroll_pagination: ^4.0.0
  connectivity_plus: ^6.1.3
  photo_view: ^0.15.0
  device_info_plus: ^11.0.0
  saver_gallery: ^4.0.0
  http: ^1.2.2
  dio: ^5.7.0

  #firebase
  firebase_core: ^3.6.0
  firebase_messaging: ^15.1.3
  cloud_firestore: ^5.4.4
  google_sign_in: ^6.2.1
  firebase_auth: ^5.3.1
  syncfusion_flutter_sliders: ^27.1.52
  flutter_switch: ^0.3.2
  dotted_border: ^2.1.0
  geocoding: ^3.0.0
  google_maps_flutter: ^2.9.0
  syncfusion_flutter_core: ^27.1.52
  geolocator: ^13.0.1
  geocode: ^1.0.3
  cloud_functions: ^5.1.4
  firebase_storage: ^12.3.3
  map_launcher: ^3.5.0
  agora_rtc_engine: ^6.3.2
  wakelock_plus: ^1.2.8
  flutter_xlider: ^3.5.0
  cached_network_image: ^3.4.1
  path_provider: ^2.1.4
  intl: ^0.19.0
  flutter_html: any
#  flutter_native_splash: ^2.4.1
  permission_handler: ^11.3.1
  in_app_review: ^2.0.9
  readmore: ^3.0.0
  dropdown_button2: ^2.3.9
  flutter_rating_bar: ^4.0.1
  googleapis_auth: ^1.6.0
  image_picker: ^1.1.2
  mime: any
  dropdown_search: ^6.0.1
  http_parser: any
  flutter_local_notifications: ^18.0.0
  table_calendar: ^3.1.2
  flutter_localization: ^0.2.2
  webview_flutter: ^4.9.0
  url_launcher: ^6.3.1
  #marquee: ^2.2.3

  shimmer: ^3.0.0
  flutter_pdfview: ^1.3.3
  percent_indicator: ^4.2.3
  flutter_downloader: ^1.11.8
  share_plus: ^10.1.1
  rate_my_app: ^2.2.0
  upgrader: ^11.3.1


dev_dependencies:
  flutter_test:
    sdk: flutter

  # The "flutter_lints" package below contains a set of recommended lints to
  # encourage good coding practices. The lint set provided by the package is
  # activated in the `analysis_options.yaml` file located at the root of your
  # package. See that file for information about deactivating specific lint
  # rules and activating additional ones.
  flutter_lints: ^4.0.0

# For information on the generic Dart part of this file, see the
# following page: https://dart.dev/tools/pub/pubspec

# The following section is specific to Flutter packages.
flutter:

  # The following line ensures that the Material Icons font is
  # included with your application, so that you can use the icons in
  # the material Icons class.
  uses-material-design: true

  # To add assets to your application, add an assets section, like this:
  assets:
    - assets/images/
    - assets/svg/
    - assets/gif/
    - assets/flags/
  #   - images/a_dot_ham.jpeg

  # An image asset can refer to one or more resolution-specific "variants", see
  # https://flutter.dev/assets-and-images/#resolution-aware

  # For details regarding adding assets from package dependencies, see
  # https://flutter.dev/assets-and-images/#from-packages

  # To add custom fonts to your application, add a fonts section here,
  # in this "flutter" section. Each entry in this list should have a
  # "family" key with the font family name, and a "fonts" key with a
  # list giving the asset and other descriptors for the font. For
  # example:
  # fonts:
  #   - family: Schyler
  #     fonts:
  #       - asset: fonts/Schyler-Regular.ttf
  #       - asset: fonts/Schyler-Italic.ttf
  #         style: italic
  #   - family: Trajan Pro
  #     fonts:
  #       - asset: fonts/TrajanPro.ttf
  #       - asset: fonts/TrajanPro_Bold.ttf
  #         weight: 700
  #
  # For details regarding fonts from package dependencies,
  # see https://flutter.dev/custom-fonts/#from-packages
# flutter_native_splash-development.yaml



